DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
OFadd_pointer< T > Struct Template Reference

Metafunction to add another pointer-level to a type. More...

## Detailed Description

template<typename T>
struct OFadd_pointer< T >

Metafunction to add another pointer-level to a type.

OFadd_pointer provides a public member typedef "type" that is equal to the given parameter except existing references are removed and instead another pointer-level is added.

See also
  http://en.cppreference.com/w/cpp/types/add_pointer for details.

Template Parameters

  T | The type to add a pointer-level to.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2